Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(5)

Issue 2696023002: Use testharness.js instead of js-test.js in LayoutTests/fast/canvas tests. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
4 months, 1 week ago by zakerinasab
Modified:
4 months, 1 week ago
CC:
chromium-reviews, blink-reviews
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Use testharness.js instead of js-test.js in LayoutTests/fast/canvas tests. This change replaces js-test.js assertions with testharness.js assertions. The expectation files are removed as they are not needed anymore. To simplify review and landing, each change corrects at most 10 tests. BUG=639732 Review-Url: https://codereview.chromium.org/2696023002 Cr-Commit-Position: refs/heads/master@{#451347} Committed: https://chromium.googlesource.com/chromium/src/+/6b691a8d8165432b59ae096c1f1ed91b5ee3d306

Patch Set 1 #

Total comments: 4

Patch Set 2 : Addressing comments #

Patch Set 3 : Rebaseline #

Unified diffs Side-by-side diffs Delta from patch set Stats (+743 lines, -1861 lines) Patch
M third_party/WebKit/LayoutTests/fast/canvas/canvas-drawImage-shadow.html View 1 2 3 chunks +38 lines, -101 lines 0 comments Download
M third_party/WebKit/LayoutTests/fast/canvas/canvas-quadratic-same-endpoint.html View 1 chunk +26 lines, -30 lines 0 comments Download
D third_party/WebKit/LayoutTests/fast/canvas/canvas-quadratic-same-endpoint-expected.txt View 1 chunk +0 lines, -11 lines 0 comments Download
M third_party/WebKit/LayoutTests/fast/canvas/canvas-radial-gradient-spreadMethod.html View 1 chunk +16 lines, -9 lines 0 comments Download
D third_party/WebKit/LayoutTests/fast/canvas/canvas-radial-gradient-spreadMethod.js View 1 chunk +0 lines, -15 lines 0 comments Download
D third_party/WebKit/LayoutTests/fast/canvas/canvas-radial-gradient-spreadMethod-expected.txt View 1 chunk +0 lines, -13 lines 0 comments Download
M third_party/WebKit/LayoutTests/fast/canvas/canvas-resetTransform.html View 1 chunk +95 lines, -7 lines 0 comments Download
D third_party/WebKit/LayoutTests/fast/canvas/canvas-resetTransform-expected.txt View 1 chunk +0 lines, -36 lines 0 comments Download
M third_party/WebKit/LayoutTests/fast/canvas/canvas-save-restore.html View 1 chunk +160 lines, -6 lines 0 comments Download
D third_party/WebKit/LayoutTests/fast/canvas/canvas-save-restore-expected.txt View 1 chunk +0 lines, -39 lines 0 comments Download
M third_party/WebKit/LayoutTests/fast/canvas/canvas-save-restore-with-path.html View 1 chunk +57 lines, -2 lines 0 comments Download
D third_party/WebKit/LayoutTests/fast/canvas/canvas-save-restore-with-path.js View 1 chunk +0 lines, -66 lines 0 comments Download
D third_party/WebKit/LayoutTests/fast/canvas/canvas-save-restore-with-path-expected.txt View 1 chunk +0 lines, -15 lines 0 comments Download
M third_party/WebKit/LayoutTests/fast/canvas/canvas-scale-drawImage-shadow.html View 1 1 chunk +123 lines, -7 lines 0 comments Download
D third_party/WebKit/LayoutTests/fast/canvas/canvas-scale-drawImage-shadow-expected.txt View 1 chunk +0 lines, -89 lines 0 comments Download
M third_party/WebKit/LayoutTests/fast/canvas/canvas-scale-fillPath-shadow.html View 1 chunk +84 lines, -7 lines 0 comments Download
D third_party/WebKit/LayoutTests/fast/canvas/canvas-scale-fillPath-shadow-expected.txt View 1 chunk +0 lines, -57 lines 0 comments Download
M third_party/WebKit/LayoutTests/fast/canvas/canvas-scale-fillRect-shadow.html View 1 chunk +64 lines, -7 lines 0 comments Download
D third_party/WebKit/LayoutTests/fast/canvas/canvas-scale-fillRect-shadow-expected.txt View 1 chunk +0 lines, -57 lines 0 comments Download
M third_party/WebKit/LayoutTests/fast/canvas/canvas-scale-shadowBlur.html View 1 chunk +80 lines, -7 lines 0 comments Download
D third_party/WebKit/LayoutTests/fast/canvas/canvas-scale-shadowBlur-expected.txt View 1 chunk +0 lines, -93 lines 0 comments Download
D third_party/WebKit/LayoutTests/fast/canvas/script-tests/canvas-resetTransform.js View 1 chunk +0 lines, -117 lines 0 comments Download
D third_party/WebKit/LayoutTests/fast/canvas/script-tests/canvas-save-restore.js View 1 chunk +0 lines, -161 lines 0 comments Download
D third_party/WebKit/LayoutTests/fast/canvas/script-tests/canvas-scale-drawImage-shadow.js View 1 chunk +0 lines, -224 lines 0 comments Download
D third_party/WebKit/LayoutTests/fast/canvas/script-tests/canvas-scale-fillPath-shadow.js View 1 chunk +0 lines, -148 lines 0 comments Download
D third_party/WebKit/LayoutTests/fast/canvas/script-tests/canvas-scale-fillRect-shadow.js View 1 chunk +0 lines, -128 lines 0 comments Download
D third_party/WebKit/LayoutTests/fast/canvas/script-tests/canvas-scale-shadowBlur.js View 1 chunk +0 lines, -191 lines 0 comments Download
D third_party/WebKit/LayoutTests/virtual/gpu/fast/canvas/canvas-resetTransform-expected.txt View 1 1 chunk +0 lines, -36 lines 0 comments Download
D third_party/WebKit/LayoutTests/virtual/gpu/fast/canvas/canvas-scale-drawImage-shadow-expected.txt View 1 1 chunk +0 lines, -89 lines 0 comments Download
D third_party/WebKit/LayoutTests/virtual/gpu/fast/canvas/canvas-scale-shadowBlur-expected.txt View 1 1 chunk +0 lines, -93 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 12 (5 generated)
Justin Novosad (OOO-July 4)
https://codereview.chromium.org/2696023002/diff/1/third_party/WebKit/LayoutTests/fast/canvas/canvas-drawImage-shadow.html File third_party/WebKit/LayoutTests/fast/canvas/canvas-drawImage-shadow.html (right): https://codereview.chromium.org/2696023002/diff/1/third_party/WebKit/LayoutTests/fast/canvas/canvas-drawImage-shadow.html#newcode74 third_party/WebKit/LayoutTests/fast/canvas/canvas-drawImage-shadow.html:74: t.step(drawImageToCanvasAndCheckPixels); Are you sure this works correctly? https://codereview.chromium.org/2696023002/diff/1/third_party/WebKit/LayoutTests/fast/canvas/canvas-scale-drawImage-shadow.html File ...
4 months, 1 week ago (2017-02-16 15:59:28 UTC) #3
zakerinasab
Comments addressed. https://codereview.chromium.org/2696023002/diff/1/third_party/WebKit/LayoutTests/fast/canvas/canvas-drawImage-shadow.html File third_party/WebKit/LayoutTests/fast/canvas/canvas-drawImage-shadow.html (right): https://codereview.chromium.org/2696023002/diff/1/third_party/WebKit/LayoutTests/fast/canvas/canvas-drawImage-shadow.html#newcode74 third_party/WebKit/LayoutTests/fast/canvas/canvas-drawImage-shadow.html:74: t.step(drawImageToCanvasAndCheckPixels); On 2017/02/16 15:59:28, Justin Novosad wrote: ...
4 months, 1 week ago (2017-02-16 20:11:28 UTC) #4
Justin Novosad (OOO-July 4)
could you rebase this patch please.
4 months, 1 week ago (2017-02-17 16:21:02 UTC) #5
zakerinasab
On 2017/02/17 16:21:02, Justin Novosad wrote: > could you rebase this patch please. Rebaseline done.
4 months, 1 week ago (2017-02-17 16:30:24 UTC) #6
Justin Novosad (OOO-July 4)
lgtm
4 months, 1 week ago (2017-02-17 17:57:14 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2696023002/40001
4 months, 1 week ago (2017-02-17 18:35:05 UTC) #9
commit-bot: I haz the power
4 months, 1 week ago (2017-02-17 19:01:12 UTC) #12
Message was sent while issue was closed.
Committed patchset #3 (id:40001) as
https://chromium.googlesource.com/chromium/src/+/6b691a8d8165432b59ae096c1f1e...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cb946e318